# KaleidoShader

## Import

KaleidoShader is an addon, and must be imported explicitly, see [Installation#Addons](https://threejs.org/manual/#en/installation).

```js
import { KaleidoShader } from 'three/addons/shaders/KaleidoShader.js';
```

## Properties

### .KaleidoShader : ShaderMaterial~Shader (inner, constant)

Kaleidoscope Shader. Radial reflection around center point Ported from: [http://pixelshaders.com/editor/](http://pixelshaders.com/editor/) by [Toby Schachman](http://tobyschachman.com/)

sides: number of reflections angle: initial angle in radians

## Source

[examples/jsm/shaders/KaleidoShader.js](https://github.com/mrdoob/three.js/blob/master/examples/jsm/shaders/KaleidoShader.js)